## Free React landing page template

![landy](https://user-images.githubusercontent.com/48876996/100373174-cd393880-3023-11eb-9fef-8acdf9733120.gif)

Landy is a free React landing page template designed for developers and startups, who want to create a quick and professional landing page for their business or project.

This React template comes with multi-lingual support, smooth animations, set of ready to use sections and most importantly, all of the content is stored in the JSON files, so that you can manage the texts without having any prior knowledge in React.js.

## Demo

Check the live demo here 👉️ https://landy.website/

## Usage

Use it for whatever you want, and be sure to reach out to me on [Twitter](https://twitter.com/Adrinlolx) if you have any questions, or build something cool with it.

### npx

```sh
npx create-react-app my-app --template adrinlol
```

## Includes

- [axios][axios]
- [antd][antd]
- [react-reveal][react-reveal]
- [react-svg][react-svg]
- [styled-componets][styled-componets]
- [i18next][i18next]
- [loadable][loadable]

## Features

- Responsive, reusable UI components, that change depending on the provided props
- Styling with styled-components and antd
- Multi-lingual support using i18next
- Contact form written in React Hooks, with uncontrolled form validation to reduce any unnecessary performance penalty.
- Ready to use declarative routing
- All of the content is stored in the JSON files

## Special thanks

[whoooa][whoooa] - Use fantastic, handmade illustrations with easily changeable colors and different styles.

## License

Licensed under the MIT license.

<!-- prettier-ignore-start -->
[axios]: https://github.com/axios/axios
[antd]: https://github.com/ant-design/ant-design
[react-reveal]: https://github.com/rnosov/react-reveal
[react-svg]: https://www.npmjs.com/package/react-svg
[styled-componets]: https://github.com/styled-components/styled-components
[i18next]: https://github.com/i18next/i18next
[loadable]: https://www.npmjs.com/package/@loadable/component
[whoooa]: https://www.whoooa.rocks/

<!-- prettier-ignore-end -->
